summaryrefslogtreecommitdiffstats
path: root/debian/_base/dependencies/qt3/debian/qt3-dev-tools.postinst
diff options
context:
space:
mode:
authorMichele Calgaro <michele.calgaro@yahoo.it>2019-04-03 23:02:46 +0900
committerMichele Calgaro <michele.calgaro@yahoo.it>2019-04-03 23:02:46 +0900
commitfcad8b8d150fb9f508973e3044a103de74ec3877 (patch)
treeca34a8cf3bfbe08335d40c47863b4901e1d19609 /debian/_base/dependencies/qt3/debian/qt3-dev-tools.postinst
parent5d8ed1fab813d86b04383f7fcf8ab2c994cbea30 (diff)
downloadtde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.tar.gz
tde-packaging-fcad8b8d150fb9f508973e3044a103de74ec3877.zip
DEB: use _base folder for a distro instead of specific distros (squeeze and maverick).
Signed-off-by: Michele Calgaro <michele.calgaro@yahoo.it>
Diffstat (limited to 'debian/_base/dependencies/qt3/debian/qt3-dev-tools.postinst')
-rw-r--r--debian/_base/dependencies/qt3/debian/qt3-dev-tools.postinst28
1 files changed, 28 insertions, 0 deletions
diff --git a/debian/_base/dependencies/qt3/debian/qt3-dev-tools.postinst b/debian/_base/dependencies/qt3/debian/qt3-dev-tools.postinst
new file mode 100644
index 000000000..70ca043fe
--- /dev/null
+++ b/debian/_base/dependencies/qt3/debian/qt3-dev-tools.postinst
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+set -e
+
+update-alternatives --install \
+ /usr/bin/moc moc "/usr/bin/moc-qt3" "45" \
+ --slave /usr/share/man/man1/moc.1.gz moc.1.gz \
+ "/usr/share/man/man1/moc-qt3.1.gz"
+
+update-alternatives --install \
+ /usr/bin/uic uic "/usr/bin/uic-qt3" "45" \
+ --slave /usr/share/man/man1/uic.1.gz uic.1.gz \
+ "/usr/share/man/man1/uic-qt3.1.gz"
+
+update-alternatives --install \
+ /usr/bin/lupdate lupdate "/usr/bin/lupdate-qt3" "45" \
+ --slave /usr/share/man/man1/lupdate.1.gz lupdate.1.gz \
+ "/usr/share/man/man1/lupdate-qt3.1.gz"
+
+update-alternatives --install \
+ /usr/bin/lrelease lrelease "/usr/bin/lrelease-qt3" "45" \
+ --slave /usr/share/man/man1/lrelease.1.gz lrelease.1.gz \
+ "/usr/share/man/man1/lrelease-qt3.1.gz"
+
+update-alternatives --install \
+ /usr/bin/qmake qmake "/usr/bin/qmake-qt3" "45" \
+
+#DEBHELPER#